Package org.silverpeas.components.suggestionbox.model

# Enum Class SuggestionCriteria.JOIN_DATA_APPLY

java.lang.Object
java.lang.Enum<SuggestionCriteria.JOIN_DATA_APPLY>
org.silverpeas.components.suggestionbox.model.SuggestionCriteria.JOIN_DATA_APPLY

All Implemented Interfaces:
  `Serializable`, `Comparable<SuggestionCriteria.JOIN_DATA_APPLY>`, `Constable`

Enclosing class:
  SuggestionCriteria

public static enum SuggestionCriteria.JOIN_DATA_APPLY extends Enum<SuggestionCriteria.JOIN_DATA_APPLY>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SuggestionCriteria.JOIN_DATA_APPLY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SuggestionCriteria.JOIN_DATA_APPLY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMMENT

    public static final SuggestionCriteria.JOIN_DATA_APPLY COMMENT

- ## Method Details

  - ### values

    public static SuggestionCriteria.JOIN_DATA_APPLY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SuggestionCriteria.JOIN_DATA_APPLY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null